Subject: Re: linux-next: build failure after merge of the kunit-next tree

From: Shuah Khan <[email-masked]>
Date: Fri, 4 Oct 2024 12:36:05 -0600

On 10/3/24 22:11, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kunit-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: modpost: "utf8nlen" [fs/unicode/tests/utf8_kunit.ko] undefined!
> ERROR: modpost: "utf8ncursor" [fs/unicode/tests/utf8_kunit.ko] undefined!
> ERROR: modpost: "utf8byte" [fs/unicode/tests/utf8_kunit.ko] undefined!
> ERROR: modpost: "utf8version_is_supported" [fs/unicode/tests/utf8_kunit.ko] undefined!
> 
> Caused by commit
> 
>    94d8a0976d2d ("unicode: kunit: refactor selftest to kunit tests")
> 
> I have used the kunit-next tree from next-20241003 for today.
> 

Sorry about that. I ran other tests - but missed allmodconfig build.
I will go drop the two patches for now.

Gabriela,
Please send new patch fixing the problems.

thanks,
-- Shuah